View Issue Details

IDProjectCategoryView StatusLast Update
0032831CommunityOCCT:Documentationpublic2022-10-19 15:55
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032831: Documentation - drop misleading "FreeType 2.4.10 - 2.5.3" version range
DescriptionDocumentation contains misleading information:
> Mandatory products:
> FreeType 2.4.10 - 2.5.3;

This is not true, the most recent version of FreeType 2.x could be used for building OCCT.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0031634 newvpozdyayev Open CASCADE Documentation - minor clean-up of User Guides from misprints and old classes 

Activities

git

2022-02-11 23:45

administrator   ~0106854

Branch CR32831 has been created by kgv.

SHA-1: a0c3fd89bd60c1991e4d3ded3c158199419629de


Detailed log of new commits:

Author: kgv
Date: Fri Feb 11 23:45:11 2022 +0300

    0032831: Documentation - drop misleading "FreeType 2.4.10 - 2.5.3" version range
    
    Removed duplicating information about supported versions of 3rdparty libraries from `building_3rdparty.md`.

kgv

2022-02-11 23:47

developer   ~0106855

Patch is ready for review
- OCCT: branch CR32831.

aml

2022-02-14 08:02

developer   ~0106881

Thanks for the patch. Reviewed.

OCCT: CR32831.
Products: -

smoskvin

2022-02-19 11:34

administrator   ~0106982

Combination -
OCCT branch : IR-2022-02-18
master SHA - 600ee856316c1a9eb340779b32de511b74465896
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-02-18 SHA - 859115827d7f98f21dc3e653fecea4c712aae052
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18496.730000000363 / 18543.560000000383 [-0.25%]
Products
Total CPU difference: 11705.020000000135 / 11696.60000000009 [+0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 20453.203125 / 20387.28125 [+0.32%]
Products
Total CPU difference: 13176.3125 / 13150.390625 [+0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-02-19 12:57

administrator   ~0106993

Branch CR32831 has been deleted by mnt.

SHA-1: a0c3fd89bd60c1991e4d3ded3c158199419629de

Related Changesets

occt: master 072b4d38

2022-02-11 23:45:11

kgv


Committer: smoskvin Details Diff
0032831: Documentation - drop misleading "FreeType 2.4.10 - 2.5.3" version range

Removed duplicating information about supported versions of 3rdparty libraries from `building_3rdparty.md`.
Affected Issues
0032831
mod - dox/build/build_3rdparty/building_3rdparty.md Diff File

Issue History

Date Modified Username Field Change
2022-02-11 19:58 kgv New Issue
2022-02-11 19:58 kgv Assigned To => kgv
2022-02-11 23:45 git Note Added: 0106854
2022-02-11 23:47 kgv Assigned To kgv => aml
2022-02-11 23:47 kgv Status new => resolved
2022-02-11 23:47 kgv Test case number => N/A
2022-02-11 23:47 kgv Note Added: 0106855
2022-02-14 08:02 aml Note Added: 0106881
2022-02-14 08:02 aml Assigned To aml => bugmaster
2022-02-14 08:02 aml Status resolved => reviewed
2022-02-19 11:34 smoskvin Status reviewed => tested
2022-02-19 11:34 smoskvin Note Added: 0106982
2022-02-19 12:43 smoskvin Changeset attached => occt master 072b4d38
2022-02-19 12:43 kgv Assigned To bugmaster => kgv
2022-02-19 12:43 kgv Status tested => verified
2022-02-19 12:43 kgv Resolution open => fixed
2022-02-19 12:57 git Note Added: 0106993
2022-02-23 21:31 kgv Relationship added child of 0031634
2022-10-19 15:55 smoskvin Assigned To kgv => vpozdyayev